import React from "react";

//import Material ui
import Grid from "@material-ui/core/Grid";
import LoadingIcon from "@material-ui/icons/HourglassEmpty";

const styles = {
  grid : {
    height: "65vh"
  },
  loadingIcon: {
    fontSize: "5em",
    animation: "rotation 2s infinite linear"
  }
}

class Loading extends React.Component {
  render() {
    return (
      <Grid
      style={styles.grid}
        container
        direction="column"
        justify="center"
        alignItems="center"
      >
        <LoadingIcon className="Loading-icon"/>
      </Grid>
    );
  }
}

export default Loading;
