import React from "react";
import MicrosoftLogin from "./MicrosoftLoginProvider";

export default (props) => {
    
    const authHandler = (err, data) => {
        console.log(err);
        if(err){
            props.login([], undefined);
        }
        else {
            props.login(data, "microsoft");
        }
    }
    
    return (
        <MicrosoftLogin
            clientId={"14d29e12-dbba-4df9-9b7e-4ccea567e704"}
            authCallback={authHandler}
            withUserData = {true}
        />
    )
}